# pt_dev_utils

**pt_dev_utils** is an internal Python utility package designed to support backend developers working on the Poshan Tracker system. It provides reusable helper functions, validation logic, and tools commonly used in backend workflows.

---

## Features

- Common utility functions for file handling, logging, and validation
- Reusable data validators for backend pipelines
- Organized modules to keep backend scripts clean and DRY
- Lightweight and built for internal use only

---

## Folder Structure

pt_dev_utils/
├── init.py
├── file_ops.py # File and path handling helpers
├── validation.py # Data validators
├── logger.py # Standardized logging setup
├── constants.py # Shared constants

## Installation
`pip install pt_dev_utils`
